package speiger.src.coreengine.utils.collections.iterators;

import java.util.Enumeration;
import java.util.Iterator;

public class EnumIterator<T> implements Iterator<T> {
	Enumeration<T> value;
	
	public EnumIterator(Enumeration<T> value) {
		this.value = value;
	}
	
	@Override
	public boolean hasNext() {
		return value.hasMoreElements();
	}
	
	@Override
	public T next() {
		return value.nextElement();
	}
	
}
